//左メニュー表示
function viewLeftMenu(){
	new Ajax.Updater(
		'menu',
		'/menu.html', {
			method: 'get' 
		}
	);
}

//リターンキーを押したか
function isReturnKey(event){
	var key = event.which || event.keyCode;
	return Event.KEY_RETURN == key;
}

//マウス直下の行の色を変更
function onRowOver(row, index){
	row.style.backgroundColor = '#d7ffef';
}

//マウスが移動した行の色を戻す
function onRowOut(row, index){
	var rowCheck = $('c_'+ index);
	updateRowBackgroundColor(row, rowCheck && rowCheck.checked);
}

//選択された行の色を変更
function onRowClick(row, index){
	var checked = updateCheck(index);
	updateRowBackgroundColor(row, checked);
}

//チェックボックスを選択・解除する
function updateCheck(index){
	var rowCheck = $('c_'+ index);
	if(rowCheck){
		rowCheck.checked = !rowCheck.checked;
		return rowCheck.checked;
	}
	return false;
}

//行の背景色を変更する
function updateRowBackgroundColor(row, checked){
	if(checked){
		row.style.backgroundColor ='#fff5c8';
	}else{
		row.style.backgroundColor = 'transparent';
	}
}

//全選択、全解除
function onAllChecke(checked){
	var inputList = $('list').getElementsByTagName('input');
	for (i in inputList) {
		if(inputList[i] && inputList[i].type == 'checkbox'){
			inputList[i].checked = checked;
		}
	}
}

//選択された行のIDを取得
function getCheckedId(){
	var inputList = $('list').getElementsByTagName('input');
	var checkedId = '';
	for (i in inputList) {
		if(inputList[i] && inputList[i].type == 'checkbox' && inputList[i].checked){
			checkedId += '&id=' + inputList[i].value;
		}
	}
	return checkedId;
}

//選択された行の数を取得
function getCheckedIdNumber(){
	var inputList = $('list').getElementsByTagName('input');
	var checkedIdNumber = 0;
	for (i in inputList) {
		if(inputList[i] && inputList[i].type == 'checkbox' && inputList[i].checked){
			checkedIdNumber++;
		}
	}
	return checkedIdNumber;
}